ApiHdfsDisableHaArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHdfsDisableHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsDisableHaArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHdfsDisableHaArguments
      extends Object

  Arguments used for the HDFS disable HA command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsDisableHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsDisableHaArguments` | `activeName(String activeName)`
    `ApiHdfsDisableHaArguments` | `deployClientConfigs(Boolean deployClientConfigs)`
    `ApiHdfsDisableHaArguments` | `disableQuorumStorage(Boolean disableQuorumStorage)`
    `boolean` | `equals(Object o)`
    `String` | `getActiveName()` Name of the the NameNode to be kept.
    `String` | `getSecondaryName()` Name of the SecondaryNamenode to associate with the active NameNode.
    `int` | `hashCode()`
    `Boolean` | `isDeployClientConfigs()` Whether to re-deploy client configurations.
    `Boolean` | `isDisableQuorumStorage()` Whether to disable Quorum-based Storage.
    `Boolean` | `isStartDependentServices()` Whether to re-start dependent services.
    `ApiHdfsDisableHaArguments` | `secondaryName(String secondaryName)`
    `void` | `setActiveName(String activeName)`
    `void` | `setDeployClientConfigs(Boolean deployClientConfigs)`
    `void` | `setDisableQuorumStorage(Boolean disableQuorumStorage)`
    `void` | `setSecondaryName(String secondaryName)`
    `void` | `setStartDependentServices(Boolean startDependentServices)`
    `ApiHdfsDisableHaArguments` | `startDependentServices(Boolean startDependentServices)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsDisableHaArguments

          public ApiHdfsDisableHaArguments()

  - ### Method Detail

    - #### activeName

          public ApiHdfsDisableHaArguments activeName(String activeName)

    - #### getActiveName

          public String getActiveName()

      Name of the the NameNode to be kept.
      Returns:
        activeName

    - #### setActiveName

          public void setActiveName(String activeName)

    - #### secondaryName

          public ApiHdfsDisableHaArguments secondaryName(String secondaryName)

    - #### getSecondaryName

          public String getSecondaryName()

      Name of the SecondaryNamenode to associate with the active NameNode.
      Returns:
        secondaryName

    - #### setSecondaryName

          public void setSecondaryName(String secondaryName)

    - #### startDependentServices

          public ApiHdfsDisableHaArguments startDependentServices(Boolean startDependentServices)

    - #### isStartDependentServices

          public Boolean isStartDependentServices()

      Whether to re-start dependent services. Defaults to true.
      Returns:
        startDependentServices

    - #### setStartDependentServices

          public void setStartDependentServices(Boolean startDependentServices)

    - #### deployClientConfigs

          public ApiHdfsDisableHaArguments deployClientConfigs(Boolean deployClientConfigs)

    - #### isDeployClientConfigs

          public Boolean isDeployClientConfigs()

      Whether to re-deploy client configurations. Defaults to true.
      Returns:
        deployClientConfigs

    - #### setDeployClientConfigs

          public void setDeployClientConfigs(Boolean deployClientConfigs)

    - #### disableQuorumStorage

          public ApiHdfsDisableHaArguments disableQuorumStorage(Boolean disableQuorumStorage)

    - #### isDisableQuorumStorage

          public Boolean isDisableQuorumStorage()

      Whether to disable Quorum-based Storage. Defaults to false. Available since API v2.
      Returns:
        disableQuorumStorage

    - #### setDisableQuorumStorage

          public void setDisableQuorumStorage(Boolean disableQuorumStorage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.